---
Database/MultipleDatabases:
  Exclude:
  - ee/lib/gitlab/geo/database_tasks.rb
  - ee/lib/gitlab/geo/geo_tasks.rb
  - ee/lib/gitlab/geo/health_check.rb
  - ee/lib/gitlab/geo/log_cursor/daemon.rb
  - ee/lib/pseudonymizer/dumper.rb
  - ee/lib/pseudonymizer/pager.rb
  - ee/spec/lib/pseudonymizer/dumper_spec.rb
  - ee/spec/services/ee/merge_requests/update_service_spec.rb
  - lib/backup/database.rb
  - lib/backup/manager.rb
  - lib/gitlab/database/load_balancing/load_balancer.rb
  - lib/gitlab/database/load_balancing.rb
  - lib/gitlab/database/load_balancing/sticking.rb
  - lib/gitlab/database/migrations/observers/migration_observer.rb
  - lib/gitlab/database/migrations/observers/query_log.rb
  - lib/gitlab/database/partitioning_migration_helpers/backfill_partitioned_table.rb
  - lib/gitlab/database.rb
  - lib/gitlab/gitlab_import/importer.rb
  - lib/gitlab/health_checks/db_check.rb
  - lib/gitlab/import_export/base/relation_factory.rb
  - lib/gitlab/import_export/group/relation_tree_restorer.rb
  - lib/gitlab/legacy_github_import/importer.rb
  - lib/gitlab/seeder.rb
  - lib/system_check/orphans/repository_check.rb
  - spec/db/schema_spec.rb
  - spec/initializers/database_config_spec.rb
  - spec/lib/backup/manager_spec.rb
  - spec/lib/gitlab/database_spec.rb
  - spec/lib/gitlab/metrics/subscribers/active_record_spec.rb
  - spec/lib/gitlab/profiler_spec.rb
  - spec/lib/gitlab/usage/metrics/names_suggestions/relation_parsers/constraints_spec.rb
  - spec/lib/gitlab/usage/metrics/names_suggestions/relation_parsers/joins_spec.rb
  - spec/support/caching.rb
  - spec/support/gitlab/usage/metrics_instrumentation_shared_examples.rb
  - spec/support/helpers/database_connection_helpers.rb
  - spec/support/helpers/database/database_helpers.rb
  - spec/support/helpers/database/table_schema_helpers.rb
  - spec/support/helpers/migrations_helpers.rb
  - spec/support/helpers/query_recorder.rb
  - spec/support/helpers/usage_data_helpers.rb
  - spec/tasks/gitlab/backup_rake_spec.rb
  - spec/tasks/gitlab/db_rake_spec.rb
